System.Web 2.0.0.0 System.Enum

The enumerates the values to use when you set the property.

The default is .

The settings are relevant only when you use the ASP.NET process model (Internet Information Services [IIS] 5.n or compatible mode on IIS 6 only).

Specifies the level of authentication for DCOM security.

- Field
  System.Web.Configuration.ProcessModelComAuthenticationLevel

  DCOM authenticates the credentials of the client when the server receives the request at the beginning of each remote procedure call.

  Specifies that DCOM authenticates the credentials of the client. This field is constant.

  2.0.0.0
- Field
  System.Web.Configuration.ProcessModelComAuthenticationLevel

  DCOM authenticates the credentials of the client only when the client establishes a relationship with the server.

  This is the default value.

  Specifies that DCOM authenticates the credentials of the client. This field is constant.

  2.0.0.0
- Field
  System.Web.Configuration.ProcessModelComAuthenticationLevel

  DCOM determines the authentication level using its normal security-negotiation algorithm.

  Specifies that DCOM determines the authentication level. This field is constant.

  2.0.0.0
- Field
  System.Web.Configuration.ProcessModelComAuthenticationLevel

  Specifies no authentication. This field is constant.

  2.0.0.0
- Field
  System.Web.Configuration.ProcessModelComAuthenticationLevel

  The datagram transports always use Pkt authentication.

  Specifies that DCOM verifies that all data received is from the expected client. This field is constant.

  2.0.0.0
- Field
  System.Web.Configuration.ProcessModelComAuthenticationLevel

  DCOM verifies that none of the data transferred between the client and the server has been modified.

  Specifies that DCOM authenticates and verifies the data transferred. This field is constant.

  2.0.0.0
- Field
  System.Web.Configuration.ProcessModelComAuthenticationLevel

  DCOM authenticates all previous levels and encrypts the argument value of each remote procedure call.

  Specifies that DCOM authenticates all previous levels and does encryption. This field is constant.

  2.0.0.0